intuneBrandingProfile の作成
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい intuneBrandingProfile オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementApps.ReadWrite.All |
HTTP 要求
POST /deviceManagement/intuneBrandingProfiles
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、intuneBrandingProfile オブジェクトの JSON 表記を指定します。
次の表に、intuneBrandingProfile を作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | プロファイル キー |
| profileName | String | プロファイルの名前 |
| profileDescription | String | プロファイルの説明 |
| isDefaultProfile | ブール値 | プロファイルが既定として使用されるかどうかを表すブール型 (Boolean) |
| createdDateTime | DateTimeOffset | BrandingProfile が作成された時刻 |
| lastModifiedDateTime | DateTimeOffset | BrandingProfile が最後に変更された時刻 |
| displayName | String | エンド ユーザーに表示される会社/組織名 |
| themeColor | rgbColor | アプリケーションと Web ポータルで使用ポータル サイトテーマの色 |
| showLogo | Boolean | 管理者が提供するロゴ 画像が表示されるかどうかを表すブール型 (Boolean) |
| showDisplayNameNextToLogo | Boolean | 管理者が指定した表示名がロゴ 画像の横に表示されるかどうかを表すブール型 (Boolean) |
| themeColorLogo | mimeContent | ロゴの背後にテーマポータル サイト背景を持つアプリに表示されるロゴ画像 |
| lightBackgroundLogo | mimeContent | ロゴの背景が明ポータル サイトアプリに表示されるロゴ画像 |
| landingPageCustomizedImage | mimeContent | アプリのランディング ページにポータル サイトカスタマイズされた画像 |
| contactITName | String | IT サポートを担当する人物/組織の名前 |
| contactITPhoneNumber | String | 電話を担当する人物/組織の数 |
| contactITEmailAddress | String | IT サポートを担当する人物/組織の電子メール アドレス |
| contactITNotes | String | IT サポートを担当する人物/組織に関するテキスト コメント |
| onlineSupportSiteUrl | String | 会社/組織の IT ヘルプデスク サイトの URL |
| onlineSupportSiteName | String | 会社/組織の IT ヘルプデスク サイトの表示名 |
| privacyUrl | String | 会社/組織のプライバシー ポリシーの URL |
| customPrivacyMessage | String | 管理者がデバイスにアクセスできないものに関するテキスト コメント |
| customCanSeePrivacyMessage | String | 管理者がデバイスにアクセスできる情報に関するテキストコメント |
| customCantSeePrivacyMessage | String | 管理者がデバイスにアクセスできないものに関するテキスト コメント |
| isRemoveDeviceDisabled | Boolean | 管理者が企業所有のデバイスで [デバイスの削除] アクションを無効にしたかどうかを表すブール型 (Boolean) です。 |
| isFactoryResetDisabled | Boolean | 管理者が企業所有のデバイスで '出荷時のリセット' アクションを無効にしたかどうかを表すブール型 (Boolean) です。 |
| companyPortalBlockedActions | companyPortalBlockedAction コレクション | プラットフォームとデバイスの所有権の種類ごとに、ポータル サイトでブロックされたアクションのコレクション。 |
| showAzureADEnterpriseApps | ブール値 | AzureAD アプリがアプリに表示Enterprise示すブール型 (Boolean) ポータル サイト |
| showOfficeWebApps | ブール値 | WebApps がOffice表示されるかどうかを示すブール型 (Boolean) ポータル サイト |
| sendDeviceOwnershipChangePushNotification | Boolean | デバイスの所有権の種類が個人から企業に変更された場合にプッシュ通知がユーザーに送信されるかどうかを示すブール型 (Boolean) |
| enrollmentAvailability | enrollmentAvailabilityOptions | エンド ユーザーに表示されるカスタマイズされたデバイス登録フロー。 可能な値は、availableWithPrompts、availableWithoutPrompts、unavailable です。 |
| disableClientTelemetry | ブール値 | すべてのクライアントから Intune サービスに送信されるテレメトリに適用されます。 無効にすると、クライアント内のすべての予防的なトラブルシューティングと発行の警告がオフになり、テレメトリ設定がデバイス ユーザーに対して非アクティブまたは非表示に表示されます。 |
| roleScopeTagIds | String collection | ブランド プロファイルに割り当てられたスコープ タグの一覧 |
応答
成功した場合、このメソッドは応答コード 201 Created と、応答本文の intuneBrandingProfile オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/intuneBrandingProfiles
Content-type: application/json
Content-length: 1975
{
"@odata.type": "#microsoft.graph.intuneBrandingProfile",
"profileName": "Profile Name value",
"profileDescription": "Profile Description value",
"isDefaultProfile": true,
"displayName": "Display Name value",
"themeColor": {
"@odata.type": "microsoft.graph.rgbColor",
"r": 1,
"g": 1,
"b": 1
},
"showLogo": true,
"showDisplayNameNextToLogo": true,
"themeColorLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"lightBackgroundLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"landingPageCustomizedImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"contactITName": "Contact ITName value",
"contactITPhoneNumber": "Contact ITPhone Number value",
"contactITEmailAddress": "Contact ITEmail Address value",
"contactITNotes": "Contact ITNotes value",
"onlineSupportSiteUrl": "https://example.com/onlineSupportSiteUrl/",
"onlineSupportSiteName": "Online Support Site Name value",
"privacyUrl": "https://example.com/privacyUrl/",
"customPrivacyMessage": "Custom Privacy Message value",
"customCanSeePrivacyMessage": "Custom Can See Privacy Message value",
"customCantSeePrivacyMessage": "Custom Cant See Privacy Message value",
"isRemoveDeviceDisabled": true,
"isFactoryResetDisabled": true,
"companyPortalBlockedActions": [
{
"@odata.type": "microsoft.graph.companyPortalBlockedAction",
"platform": "androidForWork",
"ownerType": "company",
"action": "remove"
}
],
"showAzureADEnterpriseApps": true,
"showOfficeWebApps": true,
"sendDeviceOwnershipChangePushNotification": true,
"enrollmentAvailability": "availableWithoutPrompts",
"disableClientTelemetry": true,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
]
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 2147
{
"@odata.type": "#microsoft.graph.intuneBrandingProfile",
"id": "fcd6136c-136c-fcd6-6c13-d6fc6c13d6fc",
"profileName": "Profile Name value",
"profileDescription": "Profile Description value",
"isDefaultProfile": true,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"displayName": "Display Name value",
"themeColor": {
"@odata.type": "microsoft.graph.rgbColor",
"r": 1,
"g": 1,
"b": 1
},
"showLogo": true,
"showDisplayNameNextToLogo": true,
"themeColorLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"lightBackgroundLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"landingPageCustomizedImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"contactITName": "Contact ITName value",
"contactITPhoneNumber": "Contact ITPhone Number value",
"contactITEmailAddress": "Contact ITEmail Address value",
"contactITNotes": "Contact ITNotes value",
"onlineSupportSiteUrl": "https://example.com/onlineSupportSiteUrl/",
"onlineSupportSiteName": "Online Support Site Name value",
"privacyUrl": "https://example.com/privacyUrl/",
"customPrivacyMessage": "Custom Privacy Message value",
"customCanSeePrivacyMessage": "Custom Can See Privacy Message value",
"customCantSeePrivacyMessage": "Custom Cant See Privacy Message value",
"isRemoveDeviceDisabled": true,
"isFactoryResetDisabled": true,
"companyPortalBlockedActions": [
{
"@odata.type": "microsoft.graph.companyPortalBlockedAction",
"platform": "androidForWork",
"ownerType": "company",
"action": "remove"
}
],
"showAzureADEnterpriseApps": true,
"showOfficeWebApps": true,
"sendDeviceOwnershipChangePushNotification": true,
"enrollmentAvailability": "availableWithoutPrompts",
"disableClientTelemetry": true,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
]
}
フィードバック
フィードバックの送信と表示